#include <stdio.h>
#include <stdlib.h>

int koliko(int n, int a)
{
    int br=3;
    int b=a-2;
    if (n<3*a) return -1;
    while (br<5)
    {
        if (n<(br*a+br*b) && ((n-(br*a))/br)<a)
        {
           return br;
        }
        br++;
    }
    return br;
}

int main()
{
    int n,a;
    scanf("%d%d",&n,&a);
    int b=koliko(n,a);
    if (b==-1)
    {
        printf("-1");
    }
    else
    {
        int x=abs(n-a*b);
        int mat[b][2];
        for (int i=0;i<b;i++)
            for (int j=0;j<2;j++) mat[i][j]=0;
        mat[0][0]=a;
        mat[b-1][0]=a;
        if (b==3) mat[b-2][0]=a;
        else
        {
            mat[1][1]=a;
            mat[2][0]=a;
            if (b==5) mat[b-2][1]=a;
        }
        int uk=0;

        for (int i=0;i<b;i++)
            for (int j=0;j<2;j++)
            {
                if (mat[i][j]!=a)
                {
                int u=x/b;
                mat[i][j]=u;
                uk+=u;
                }

            }
            if (uk<x)
                {
                    mat[0][0]+=x-uk;
                }
        for (int i=0;i<b;i++)
        { for (int j=0;j<2;j++)
         printf("%d ",mat[i][j]);
         putchar('\n');
        }
    }
}